Activate Card

The API will be used to activate a Physical or Virtual Gift Card in our system.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Header Parameters

For Header references Click here

Request Parameters

NameTypeMandatory (M), Optional (O)Description
typeStringMPhysical/ Virtual
nameStringMCustomer Name
mobileStringMCustomer Mobile Number
emailStringMCustomer Email Address
amountStringMAmount
kitNumberStringO (Mandatory If customers.type is Physical)Kit Number mentioned in the Physical card
shortCardNumberStringO (Mandatory If customers.type is Physical)Last 4 digits of the Card Number.
latitudeStringMCurrent Location Latitude
longitudeStringMCurrent Location Longitude
externalRefStringMUnique Reference Number
iPinStringMIntantpay Pin Number

Sample Request

curl --location --request PATCH 'https://api.instantpay.in/cards/gift' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{{
    "type": "Virtual",
    "name": "John Doe",
    "email": "[email protected]",
    "mobile": "91XXXXXXXX",
    "amount": "500",
    "kitNumber": "XXXXXXXXXX",
    "shortCardNumber": "XXXX",
    "latitude" : {{$randomLatitude}},
    "longitude" : {{$randomLongitude}},
    "externalRef" : "{{random}}",
    "iPin": "0126"
}'
PATCH /cards/gift HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
    "type": "Virtual",
    "name": "Sample Name",
    "email": "[email protected]",
    "mobile": "74285 85742",
    "amount": "500",
    "kitNumber": "xxxxxxxxxx",
    "shortCardNumber": "xxxx",
    "latitude" : {{$randomLatitude}},
    "longitude" : {{$randomLongitude}},
    "externalRef" : "{{random}}",
    "iPin": "0126"
}'

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus Message
dataArrayResponse Data (If Present)
timestampStringCurrent Time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest Reference Number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Physical GiftCard successfully issued to customer",
    "data": {
        "kitNumber": "xxxxxxxxxx",
        "shortCardNumber": "xxxx",
        "bin": "xxxxxx",
        "expiryDate": "2024-02-29",
        "network": "Sample"
    },
    "timestamp": "2022-04-11 12:01:07",
    "ipay_uuid": "h06896097f63-XXXX-XXXX-XXXX-794c62d59494",
    "orderid": "1000987654321EZFJY",
    "environment": "LIVE"
}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json